Bug 88920 - Teach CodeGenerator to support for static, readonly, attributes
Summary: Teach CodeGenerator to support for static, readonly, attributes
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.7
: P2 Normal
Assignee: Jon Lee
URL:
Keywords: InRadar
Depends on:
Blocks: 88919 92413
  Show dependency treegraph
 
Reported: 2012-06-12 14:27 PDT by Jon Lee
Modified: 2012-07-26 12:51 PDT (History)
2 users (show)

See Also:


Attachments
Patch (24.51 KB, patch)
2012-07-17 17:36 PDT, Jon Lee
no flags Details | Formatted Diff | Diff
Patch (24.62 KB, patch)
2012-07-17 18:00 PDT, Jon Lee
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Lee 2012-06-12 14:27:11 PDT
Needed to implement Notification.permission.
Comment 1 Radar WebKit Bug Importer 2012-06-12 14:27:54 PDT
<rdar://problem/11650330>
Comment 2 Jon Lee 2012-07-17 17:36:16 PDT
Created attachment 152885 [details]
Patch
Comment 3 Jon Lee 2012-07-17 18:00:49 PDT
Created attachment 152892 [details]
Patch
Comment 4 Jon Lee 2012-07-17 18:17:00 PDT
Committed r122912
 http://trac.webkit.org/changeset/122912
Comment 5 Kentaro Hara 2012-07-21 03:24:14 PDT
Comment on attachment 152892 [details]
Patch

This patch caused regressions (bug 91924 and bug 91925), which I will fix soon.